#version 150

uniform mat4 viewProjectionMatrix;

in vec3 inPosition;
in vec2 inTexCoord;

out vec2 vertexTexCoord;

void main(void)
{
	gl_Position = viewProjectionMatrix * vec4(inPosition, 1.0);
	vertexTexCoord = inTexCoord;
}